@import "https://fonts.googleapis.com/css2?family=Lato&display=swap";
@font-face {
  font-family: Linguistics Pro;
  src: url(/fonts/LinguisticsPro-Regular.otf);
  font-weight: 400;
  font-style: normal; }

@font-face {
  font-family: EzraSILW;
  src: url(/fonts/EzraSILW.woff);
  font-weight: 400;
  font-style: normal; }

:root {
  /* colors */
  --content-background: #fff;
  --content-font-size: 12pt;
  --link-color: #c9a57d;
  --faded-color: #99948e;
  --hairline-color: rgba(0, 0, 0, 0.12);
  --strongs-background: #ddd;
  --strongs-indicator-color: #aaa;
  --sup-color: var(--action-color);
  --red-letter-color: darkred;
  --red-letter-underline-color: rgba(169, 0, 0, 0.5);
  --bar-color: #35569e;
  --selected-bar-color: #5288ff;
  --settings-menu-color: #f9f6f2;
  /* rhythm & spacing */
  --verse-line-height: 1.6;
  --padding-ratio: calc((var(--verse-line-height) - 1) / 2);
  --verse-line-vertical-padding: calc(var(--padding-ratio) * 1em);
  --verse-number-padding-right: 0.5ex;
  --base-indent: 1em;
  --pericope-indent: 1em;
  --block-quote-indent: 1.5em;
  --indented-block-quote-indent: 2.5em;
  --poetry-indent: 1.5em;
  --poetry-hanging-indent: 1em;
  /* typography */
  --cap-height: 0.67;
  --baseline: 0.25;
  --cap-top: calc(1 - var(--cap-height) - var(--baseline));
  --chapter-number-ratio: calc(
    var(--verse-line-height) / var(--cap-height) + 1
  );
  --ui-font-family: gill sans, Gill Sans Nova, Gill Sans MT, Lato;
  --passage-title-font-family: Linguistics Pro;
  --passage-nav-font-family: Linguistics Pro;
  --original-language-font-family: EzraSILW, Linguistics Pro;
  --content-font-family: Linguistics Pro;
  --small-caps-font-family: Linguistics Pro;
  --verse-number-font-family: Arial;
  --chapter-number-font-family: Linguistics Pro;
  --subhead-font-family: Linguistics Pro;
  --double-quote-width: 0.95ex;
  --single-quote-width: 0.55ex;
  --letter-spacing: -0.01em;
  --word-spacing: -0.01em;
  --small-caps-letter-spacing: -0.02em;
  --subhead-letter-spacing: 0.05em;
  --i-padding-right: 0.3ex;
  --chapter-number-font-size: calc(var(--chapter-number-ratio) * 100%);
  --chapter-number-margin-top: calc(
    (
        (var(--cap-top) + var(--padding-ratio)) / var(--chapter-number-ratio) -
          var(--cap-top)
      ) * 1em
  ); }

html {
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
  margin-top: 0px !important;
  background: transparent; }

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--ui-font-family);
  background: transparent; }

a {
  color: var(--link-color);
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-decoration: none; }
  a:hover {
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: auto;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font; }

.heading .lsbLogo {
  float: right; }

.heading .font-size-controls {
  display: inline-block;
  float: right;
  margin: 7px 10px 0 0; }
  .heading .font-size-controls a {
    margin-right: 5px; }
    .heading .font-size-controls a:hover {
      text-decoration: none; }
    .heading .font-size-controls a i {
      font-size: 15px;
      font-weight: initial; }

.pill {
  position: relative;
  padding: 4px;
  border-radius: 4px; }
  .pill:active {
    background: #ddd; }
  .pill.loading {
    background: transparent;
    text-decoration: none;
    pointer-events: none;
    transition: background 1s; }

.loading .loader, .loading:not(.has-loader) {
  position: relative; }

.loading .loader:before, .loading:not(.has-loader):before {
  content: "";
  position: absolute;
  bottom: 5px;
  left: 0;
  width: 100%;
  height: 2px;
  background: linear-gradient(90deg, transparent 50%, var(--faded-color));
  background-size: 200%;
  animation: loading 1.5s ease-in 0.2s infinite; }

@keyframes loading {
  0% {
    background-position: 0; }
  to {
    background-position: -200%; } }

/* headings & section labels */
.subhead,
.hebrew-letter {
  margin: 1.75em 0 0;
  padding-bottom: 0.3em; }

.subhead {
  text-transform: uppercase;
  font: 400 0.8em var(--subhead-font-family);
  letter-spacing: var(--subhead-letter-spacing);
  text-align: left;
  hyphens: none;
  -webkit-hyphens: none; }
  .subhead i {
    font-style: normal; }
  .subhead.chapter-subhead {
    margin-top: 0; }
  .subhead .small-caps {
    font-family: inherit;
    font-feature-settings: inherit;
    font-variant: inherit; }

.hebrew-letter {
  font-family: var(--original-language-font-family);
  font-feature-settings: "smcp", "c2sc";
  font-variant: all-small-caps;
  text-transform: uppercase;
  font-weight: 700;
  text-align: left;
  padding-left: var(--poetry-indent); }

.chapter-subhead + .hebrew-letter,
.included-subhead + .hebrew-letter {
  margin-top: 0; }

.included-subhead {
  font-size: 0.8em;
  display: block; }

.passage .included-subhead {
  padding: 0 calc(var(--poetry-indent) / 0.8); }

/* verse numbers */
small {
  font-size: 1em;
  color: var(--verse-number-color);
  padding: var(--verse-line-vertical-padding) 0; }
  small span {
    font-size: 0.7em;
    position: relative;
    bottom: 0.2em;
    white-space: pre;
    font-family: var(--verse-number-font-family);
    font-weight: 700; }
  small.left {
    padding: 0; }
    small.left:before {
      content: "";
      display: block; }
    small.left span {
      float: left;
      bottom: unset;
      top: 0.3ex;
      margin-right: calc( var(--base-indent) + var(--double-quote-width)) !important;
      width: 0; }
    small.left:after {
      padding-right: var(--poetry-hanging-indent); }

.verse-numbers small span {
  display: unset; }

.verse-numbers small.left:after {
  padding-right: calc( var(--poetry-indent) + var(--double-quote-width) - 1ex); }

/* chapter marker */
.chapter-number {
  float: left;
  margin: 0;
  padding: 0;
  font-size: 1em; }
  .chapter-number:before {
    content: attr(data-chapter);
    font-family: var(--chapter-number-font-family);
    font-size: var(--chapter-number-font-size);
    font-weight: 400;
    float: left;
    height: 0;
    line-height: 1;
    margin-top: var(--chapter-number-margin-top); }
  .chapter-number:after {
    content: "\a\a";
    float: left;
    margin-right: 1ex;
    white-space: pre; }

.first-verse:before {
  content: "";
  display: block;
  margin-top: 24px; }

/* verse content */
.verse {
  font-family: var(--content-font-family);
  line-height: var(--verse-line-height);
  -webkit-font-smoothing: auto;
  white-space: pre-line; }
  .verse mark,
  .verse s {
    color: inherit; }
  .verse s {
    text-decoration: none; }
  .verse i {
    word-spacing: var(--i-padding-right); }
    .verse i.padding-right {
      padding-right: var(--i-padding-right); }
  .verse .prose,
  .verse div {
    background: inherit; }
  .verse sup {
    font-size: 0.6em;
    color: var(--sup-color); }

br + .start-pericope {
  display: none; }

.start-pericope:before {
  content: "";
  display: block; }

.start-pericope + small {
  margin-left: var(--pericope-indent); }
  .start-pericope + small.left {
    margin-left: 0; }

/* typographic variants */
.small-caps {
  font-family: var(--small-caps-font-family);
  letter-spacing: var(--small-caps-letter-spacing);
  font-feature-settings: none, "smcp";
  font-variant-ligatures: none;
  font-variant: small-caps; }

sup.note {
  vertical-align: middle;
  font-size: 0.8em; }

.showing-strongs-indicators s[data-strongs] {
  box-shadow: 0 2px 0 -1.5px var(--strongs-indicator-color); }

/* blocks */
.block-quote,
.indented-block-quote,
.poetry {
  white-space: break-spaces;
  text-align: left;
  hyphens: none;
  -webkit-hyphens: none; }

.block-quote.double-quote,
.indented-block-quote.double-quote {
  text-indent: calc(0em - var(--double-quote-width)); }

.block-quote.single-quote,
.indented-block-quote.single-quote {
  text-indent: calc(0em - var(--single-quote-width)); }

.block-quote {
  padding-left: calc(var(--base-indent) + var(--block-quote-indent)); }

.indented-block-quote {
  padding-left: calc(var(--base-indent) + var(--indented-block-quote-indent)); }

.poetry {
  padding-left: calc( var(--base-indent) + var(--poetry-indent) + var(--poetry-hanging-indent));
  text-indent: calc(0em - var(--poetry-hanging-indent)); }
  .poetry.double-quote {
    text-indent: calc( 0em - var(--poetry-hanging-indent) - var(--double-quote-width)); }
  .poetry.single-quote {
    text-indent: calc( 0em - var(--poetry-hanging-indent) - var(--single-quote-width)); }

div.following-prose {
  display: block;
  width: 100%;
  box-sizing: border-box; }

.float {
  float: left;
  padding: 0 calc(var(--poetry-hanging-indent) + var(--double-quote-width)) 0 0 !important;
  text-indent: -100%; }
  .float:before {
    content: ".";
    visibility: hidden;
    font-size: 0; }

/* passage wrapper */
.passage {
  font-size: var(--content-font-size);
  letter-spacing: var(--letter-spacing);
  word-spacing: var(--word-spacing);
  color: var(--content-color);
  box-sizing: border-box;
  text-align: justify;
  hyphens: auto;
  -webkit-hyphens: auto;
  max-height: 148px;
  overflow-y: auto; }

.text-align-left .passage {
  text-align: left; }

/* verse-by-verse layout */
.verse-by-verse small {
  margin-left: 0 !important; }
  .verse-by-verse small span {
    font-weight: 400;
    float: left;
    bottom: unset;
    top: 0.3ex;
    margin-right: var(--double-quote-width); }

.verse-by-verse .prose {
  display: block;
  padding: 0 0 0 var(--poetry-indent); }
  .verse-by-verse .prose.double-quote {
    text-indent: calc(0em - var(--double-quote-width)); }
  .verse-by-verse .prose.single-quote {
    text-indent: calc(0em - var(--single-quote-width)); }
  .verse-by-verse .prose .subhead {
    margin-left: calc(0em - var(--poetry-indent) / 0.8); }
  .verse-by-verse .prose .start-pericope {
    display: inline; }
    .verse-by-verse .prose .start-pericope:after {
      display: none; }
    .verse-by-verse .prose .start-pericope + :first-letter {
      font-weight: 700; }

.verse-by-verse .start-pericope {
  display: none; }

.verse-by-verse .start-pericope + small span,
.verse-by-verse br + small span {
  font-weight: 700; }

/* section heading visibility toggles */
.hebrew-letter {
  display: none; }

.section-headings .hebrew-letter,
.section-headings .subhead {
  display: block; }

.section-headings .hebrew-letter + .start-pericope:before,
.section-headings .hebrew-letter + br,
.section-headings .subhead + .start-pericope:before,
.section-headings .subhead + br {
  display: none; }

/* red letters */
.red-letters .red-letter {
  color: var(--red-letter-color); }

.red-letters.showing-strongs-indicators .red-letter a[data-strongs] {
  box-shadow: 0 2px 0 -1px var(--red-letter-underline-color); }

/* optional decorations */
.asterisk {
  display: none; }

.asterisks .asterisk {
  display: inline; }

.footnote {
  display: none; }

.footnotes .footnote {
  display: unset; }

.ref {
  display: none;
  padding-right: 0.1em;
  font-style: italic; }

.cross-references .ref {
  display: inline; }

audio {
  vertical-align: middle;
  max-height: 100%;
  max-width: 100%;
  margin: auto;
  object-fit: contain;
  display: block;
  margin: 0 auto; }

.disable-audio-player audio {
  display: none; }

.reference {
  line-height: 2.5rem; }

.debug_info {
  display: none;
  visibility: hidden;
  position: absolute;
  bottom: 0;
  left: 0;
  font-size: 10px;
  color: #d8d8d8; }

.reftagger {
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  border-radius: 10px;
  max-width: unset;
  background: #fff;
  border: 1px solid #e5e5e5;
  border-radius: 10px; }
  .reftagger .heading {
    background: #efefef;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    position: relative; }
    .reftagger .heading .reference a {
      font: 400 0.9em var(--passage-title-font-family);
      color: #000;
      font-style: italic;
      line-height: normal; }
    .reftagger .heading .playLSB {
      margin: 0 20px;
      text-decoration: none; }
    .reftagger .heading .lsbible-logo {
      display: inline-block;
      float: right;
      max-height: 30px;
      margin-top: 5px; }
  .reftagger .footer {
    background: #efefef;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    font: 400 0.9em var(--passage-title-font-family); }
    .reftagger .footer .social-icon {
      margin-right: 5px; }
    .reftagger .footer .readmore {
      float: right; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
